<style type="text/css">
    table.table-mediciones > tbody > tr > td:first-child { padding: 0; padding-right: 5px; }
    table.table-mediciones > tbody > tr > td:last-child { padding: 0; padding-left: 5px; }
</style>

<div class="widget-box">
    <div class="widget-header widget-header-small" style="line-height: 32px !important;">
        <h6 class="widget-title dark"><b>6. SIGNOS VITALES Y ANTROPOMÉTRICOS</b></h6>
    </div>
    <div class="widget-body">
        <div class="widget-main">
            {% set regEnfermeria = (medicionenfermeria is defined) ? medicionenfermeria|length > 0 : 0 %}

            {% if regEnfermeria > 0 %}
                <table class="table table-bordered content-center" width="100%" style="margin: 0">
                    <thead>
                        <tr>
                            <th><b>FECHA:</b></th>
                            <td>{{ enfermeria.fechacreacion|date('Y-m-d H:i:s') }}</td>
                            <th><b>PROFESIONAL:</b></th>
                            {% set persona = enfermeria.usuariocreacion.persona %}
                            <td>{{ persona.primernombre ~ ' ' ~ persona.segundonombre ~ ' ' ~ persona.apellidopaterno ~ ' ' ~ persona.apellidomaterno }}</td>
                            <th><b>ESPECIALIDAD:</b></th>
                            <td>{{ enfermeria.ctespecialidadmedica.descripcion }}</td>
                        </tr>
                    </thead>
                </table>
                {% for itemEnf in medicionenfermeria %}
                    {% set regItem = itemEnf|length %}
                    {% set columnItem = (regItem > 1) ? regItem / 2 : regItem %}
                    <table width="100%" class="table table-bordered">
                        <tbody>
                            {% for i in 0 .. columnItem - 1 %}
                                {% set c = i + columnItem %}
                                <tr>
                                    <td style="width: 40%;"><b>{{ (not itemEnf[i] is empty ) ? itemEnf[i].ctantropovital.valor : '' }}</b></td>
                                    <td align="center" width="50px">{{ (not itemEnf[i] is empty ) ? itemEnf[i].valor : '' }}</td>
                                    {% if itemEnf[c] is defined %}
                                        <td style="width: 40%;"><b>{{ (not itemEnf[c] is empty ) ? itemEnf[c].ctantropovital.valor : '' }}</b></td>
                                        <td align="center" width="50px">{{ (not itemEnf[c] is empty ) ? itemEnf[c].valor : '' }}</td>
                                    {% endif %}
                                </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                {% endfor %}
            {% endif %}

            {% set regAtencion = (medicionesamed is defined) ? medicionesamed|length : 0 %}

            {% if regAtencion > 0 %}
                <table class="table table-bordered content-center" width="100%" style="margin: 0">
                    <thead>
                        <tr>
                            <th><b>FECHA:</b></th>
                            <td>{{ atencionmedica.fechacreacion|date('Y-m-d H:i:s') }}</td>
                            <th><b>PROFESIONAL:</b></th>
                            <td>{{ data.primernombre_profesional ~ ' ' ~ data.segundonombre_profesional ~ ' ' ~ data.apellidopaterno_profesional ~ ' ' ~ data.apellidomaterno_profesional }}</td>
                            <th><b>ESPECIALIDAD:</b></th>
                            <td>{{ data.especialidad }}</td>
                        </tr>
                    </thead>
                </table>

                {% for itemAmed in medicionesamed %}
                    {% set regItem = itemAmed|length %}
                    {% set columnItem = (regItem > 1) ? (regItem/2)|round : regItem %}

                    <table width="100%" class="table table-bordered">
                        <tbody>
                        {% for i in 0 .. columnItem - 1 %}
                            {% set c = i + columnItem %}
                            <tr>
                                <td style="width: 40%;"><b>{{ (not itemAmed[i] is empty ) ? itemAmed[i].medicion : '' }}</b></td>
                                <td align="center" width="50px">{{ (not itemAmed[i] is empty ) ? itemAmed[i].valor : '' }}</td>
                                {% if itemAmed[c] is defined %}
                                    <td style="width: 40%;"><b>{{ (not itemAmed[c] is empty ) ? itemAmed[c].medicion : '' }}</b></td>
                                    <td align="center" width="50px">{{ (not itemAmed[c] is empty ) ? itemAmed[c].valor : '' }}</td>
                                {% endif %}
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>

                {% endfor %}

            {% endif %}

            {% if regEnfermeria == 0 and regAtencion == 0 %}
                <span style="font-size: 9px;">NO EXISTEN REGISTROS DE SIGNOS VITALES PARA ESTA ATENCIÓN.</span>
            {% endif %}
        </div>
    </div>
</div>